<?php

$rssc = array('title', 'description', array());
$options_file = (dirname(__FILE__) . "/combiner.cfg");

define("MAGPIE_DIR", "./magpie/");
define("MAGPIE_CACHE_ON", true);
define("MAGPIE_CACHE_DIR", "./magpie/cache/");
define('MAGPIE_OUTPUT_ENCODING', "UTF-8");

require_once(MAGPIE_DIR."magpierss.inc");
require_once("functions.php");

$rssc = loadConfig($options_file);
$rssfeeds = array();

foreach($rssc[2] as $url_link) {
	$rss1 = fetch_rss($url_link);
	$to_fetch = count($rss1->items);
	$counter=0;
	foreach ($rss1->items as $item) {
		if( $counter < $to_fetch )	{
			$item['unixtime'] = unixTime($item);
			array_push($rssfeeds, $item);
		}
		$counter++;
	}
}

for($k=0;$k<count($rssfeeds);$k++) {
	for($j=$k;$j<count($rssfeeds);$j++) {
		if( $rssfeeds[$k]['unixtime'] < $rssfeeds[$j]['unixtime'] ) {
				$swapper=$rssfeeds[$j];
				$rssfeeds[$j]=$rssfeeds[$k];
				$rssfeeds[$k]=$swapper;
		}
	}
}

header("Content-type: text/xml; charset=UTF-8" , true);
$output = '<?xml version="1.0" encoding="UTF-8"?>
<feed xmlns="http://www.w3.org/2005/Atom">

<title>' . $rssc['title'] . '</title>
<link rel="self" type="application/atom+xml" href="http://' . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'] . '" />
';
	
$output .= '<updated>'.date('Y-m-d\TH:i:s\Z').'</updated>
<id>http://' . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'] . '</id>';
for($i=0; $i < $rssc['items']; $i++) {

	if ($rssfeeds[$i][description]) { $content = $rssfeeds[$i][description]; }
	if ($rssfeeds[$i][content][encoded]) { $content = $rssfeeds[$i][content][encoded]; }
	if ($rssfeeds[$i][atom_content]) { $content = $rssfeeds[$i][atom_content]; }
	if ( $rssc['excerpt'] ) {	$content = trimExcerpt($content);	}
	
$updated = date("Y-m-d\TH:i:s\Z", $rssfeeds[$i][unixtime]);
$uri = explode('/',$rssfeeds[$i][link]);

$output .= '

<entry>
<title><![CDATA['.$rssfeeds[$i][title].']]></title>
<link href="'.$rssfeeds[$i][link].'" />
<updated>'.$updated.'</updated>
<author>';
if ($rssfeeds[$i][dc][creator]) {
$output .= '<name>'.$rssfeeds[$i][dc][creator].'</name>';
} else {
$output .= '
<name>'.$uri[2].'</name>';
}
$output .= '
<uri>'.$uri[2].'</uri>
</author>
<id>'.$rssfeeds[$i][link].'</id>
<summary type="html">
<![CDATA['.$content.']]>
</summary>
</entry>';
}
$output .= '

</feed>';
echo $output;

?>
